RLE_ADDHIST(3)

NAME
rle_addhist - add a history comment to an RLE file.

SYNOPSIS
#include <rle.h>

void rle_addhist( argv, in_hdr, out_hdr )
char **argv;
rle_hdr *in_hdr, *out_hdr;

DESCRIPTION
rle_addhist is used to add history comments to the RLE(5) file in the form:
    HISTORY=cmd arg1 arg2 on Tue Sep 13 01:06:49 WST 1988
where cmd, arg1, etc. are the command line arguments which have been used to generate or filter this RLE file. The HISTORY comment is always appended to so that an accumulated history is kept along with a timestamp. Programs which generate RLE files should call rle_addhist as follows:
    rle_addhist(argv,(rle_hdr *)0,&out_hdr);
Programs which filter RLE files should call rle_addhist as:
    rle_addhist(argv,&in_hdr,&out_hdr);

SEE ALSO
rle_hdr(3), rle_putcom(3), rle_getcom(3), librle(3), RLE(5).

AUTHOR
Andrew Marriott,
Curtin University of Technology (Australia)